
CoCoALib - Feature #153

Shorter simpler names for some bool3 values and functions

04 May 2012 21:36 - John Abbott

Status: Closed Start date: 04 May 2012

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Renaming Estimated time: 0.00 hour

Target version: CoCoALib-0.9951 Spent time: 4.75 hours

Description

We need shorter names for IsDefinitelyTrue and IsDefinitelyFalse.

Also need a shorter way of expressing the constant values DefinitelyTrue and DefinitelyFalse.  If there is auto conversion from 

bool then we can use just true and false; we could be more explicit via bool3(true) and bool3(false) -- these latter two are already

possible.  Of course, plain true and false are much more compact, though possibly open to misinterpretation by a careless reader of

code [but a careless reader gets what he deserves, right? ]

Related issues:

Related to CoCoALib - Feature #138: Automatic conversion from bool3 to bool? Closed 24 Apr 2012

Related to CoCoALib - Feature #152: Replace bool3 by tribool Closed 04 May 2012

History

#1 - 04 May 2012 21:38 - John Abbott

Spent about 45 mins discussing with Anna.  Differences of opinion remain.

#2 - 28 May 2012 17:10 - John Abbott

Proposal for shorter names: IsTrue3 and IsFalse3 and IsUncertain3

Propose replacing DefinitelyTrue, DefinitelyFalse and uncertain with true3, false3 and uncertain3 respectively.

Also try moving the enum outside so the user does not need to specify the bool3:: prefix every time.

#3 - 28 May 2012 17:13 - John Abbott

- Category set to Renaming

- Target version set to CoCoALib-0.9952

- % Done changed from 0 to 10

#4 - 29 May 2012 10:07 - John Abbott

- Status changed from New to Resolved

- % Done changed from 10 to 100

Implemented the last suggestion, that way we can try it.  Remember that bool3 may eventually be replaced by tribool.

The only thing missing is a good example prog for bool3.  I'll close the issue when a good example has been created.

#5 - 29 May 2012 18:45 - John Abbott

- Status changed from Resolved to Closed

I've written a simple example -- I hope Alessandra Caleo likes it!
#6 - 30 May 2012 15:14 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.9952 to CoCoALib-0.9951

#7 - 07 Apr 2014 14:28 - John Abbott

The new fn names are:

IsTrue3

IsUncertain3

IsFalse3
